| Face Engine SDK 5.12.0 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::IFaceLandmarksDetector Struct Referenceabstract
Inheritance diagram for fsdk::IFaceLandmarksDetector:

## Public Member Functions
virtual ResultValue< FSDKError, Ref< IFaceLandmarksBatch > > | detectLandmarks5 (Span< const Image > images, Span< Span< const Detection >> detections) const noexcept=0
| Detects landmarks5 on multiple images. More...
virtual ResultValue< FSDKError, Ref< IFaceLandmarksBatch > > | detectLandmarks68 (Span< const Image > images, Span< Span< const Detection >> detections) const noexcept=0
| Detects landmarks68 on multiple images. More...
virtual Result< FSDKError > | validate (Span< const Image > images, Span< Span< const Detection >> detections, Span< Span< Result< FSDKError >>> errors) const noexcept=0
| Validates input of multiple frames in a single function call. More...
virtual Result< FSDKError > | detectLandmarks5 (const Image &image, Span< const Detection > detections, Span< Landmarks5 > landmarks) const noexcept=0
| Detects landmarks5 in a photo. More...
virtual Result< FSDKError > | detectLandmarks68 (const Image &image, Span< const Detection > detections, Span< Landmarks68 > landmarks) const noexcept=0
| Detects landmarks68 in a photo. More...
virtual Result< FSDKError > | validate (const Image &images, Span< const Detection > detections, Span< Result< FSDKError >> errors) const noexcept=0
| Validates input of frame and detections in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Member Function Documentation

## ◆ detectLandmarks5() [1/2]

virtual ResultValue<FSDKError, Ref<IFaceLandmarksBatch> > fsdk::IFaceLandmarksDetector::detectLandmarks5 | ( | Span< const Image > | images,
|  | Span< Span< const Detection >> | detections
| ) |  | const
| pure virtual noexcept

Detects landmarks5 on multiple images.

Parameters

  [in] | images | span of source images.
  [in] | detections | span of detection coordinates in corresponding source images space from the previous frames. It is a two dimensional Span. There is one Span of Detections for each image.

Returns
  ResultValue with error code and IFaceLandmarksBatch object.

See also
  Ref, Span, Image, Detection, Landmarks5, IFaceLandmarksBatch, ResultValue and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ detectLandmarks5() [2/2]

virtual Result<FSDKError> fsdk::IFaceLandmarksDetector::detectLandmarks5 | ( | const Image & | image,
|  | Span< const Detection > | detections,
|  | Span< Landmarks5 > | landmarks
| ) |  | const
| pure virtual noexcept

Detects landmarks5 in a photo.

Parameters

  [in] | image | source images.
  [in] | detections | input detections.
  [out] | landmarks | output span of landmarks5 for each detection.

Returns
  ResultValue with error code and a IFaceDetectionBatch object (detection bbox, landmarks, etc).

See also
  Ref, Span, Image, Detection, Landmarks5, IFaceDetectionBatch, ResultValue and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ detectLandmarks68() [1/2]

virtual ResultValue<FSDKError, Ref<IFaceLandmarksBatch> > fsdk::IFaceLandmarksDetector::detectLandmarks68 | ( | Span< const Image > | images,
|  | Span< Span< const Detection >> | detections
| ) |  | const
| pure virtual noexcept

Detects landmarks68 on multiple images.

Parameters

  [in] | images | span of source images.
  [in] | detections | span of detection coordinates in corresponding source images space from the previous frames. It is a two dimensional Span. There is one Span of Detections for each image.

Returns
  ResultValue with error code and a IFaceLandmarksBatch object.

See also
  Ref, Span, Image, Detection, Landmarks68, IFaceLandmarksBatch, ResultValue and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ detectLandmarks68() [2/2]

virtual Result<FSDKError> fsdk::IFaceLandmarksDetector::detectLandmarks68 | ( | const Image & | image,
|  | Span< const Detection > | detections,
|  | Span< Landmarks68 > | landmarks
| ) |  | const
| pure virtual noexcept

Detects landmarks68 in a photo.

Parameters

  [in] | image | source images.
  [in] | detections | input detections.
  [out] | landmarks | output span of landmarks68 for each detection.

Returns
  Result with error code.

See also
  Ref, Span, Image, Detection, Landmarks68, IFaceLandmarksBatch, ResultValue and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ validate() [1/2]

virtual Result<FSDKError> fsdk::IFaceLandmarksDetector::validate | ( | Span< const Image > | images,
|  | Span< Span< const Detection >> | detections,
|  | Span< Span< Result< FSDKError >>> | errors
| ) |  | const
| pure virtual noexcept

Validates input of multiple frames in a single function call.

Parameters

  [in] | images | span of source images.
  [in] | detections | span of detection coordinates in corresponding source images space from the previous frames. It is a two dimensional Span. There is one Span of Detections for each image.
  [out] | errors | output span of errors for each image. It is a two dimensional Span. There is one Span of the errors for each image.

Returns
  Result with error code.

See also
  Span, Image, Detection, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ validate() [2/2]

virtual Result<FSDKError> fsdk::IFaceLandmarksDetector::validate | ( | const Image & | images,
|  | Span< const Detection > | detections,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validates input of frame and detections in a single function call.

Parameters

  [in] | image | source image.
  [in] | detections | span of detection
  [out] | errors | output span of errors.

Returns
  Result with error code.

See also
  Span, Image, Detection, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/IFaceLandmarksDetector.h